com.brightcove.player.drm

## Class DrmUtil

- java.lang.Object
- - com.brightcove.player.drm.BrightcoveDrmUtil
  - - com.brightcove.player.drm.DrmUtil

-     public final class DrmUtil
      extends BrightcoveDrmUtil

  Provides utility methods to work DRM licenses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrmUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.android.exoplayer2.upstream.HttpDataSource` | `createHttpDataSource()` Creates new instance of the `HttpDataSource`.
    `static com.google.android.exoplayer2.upstream.HttpDataSource` | `createHttpDataSource(java.util.Map<java.lang.String,java.lang.String> requestProperties)` Creates new instance of the `HttpDataSource`.
    `static byte[]` | `executePost(java.lang.String url, byte[] data, java.util.Map<java.lang.String,java.lang.String> requestProperties)`

    - ### Methods inherited from class com.brightcove.player.drm.BrightcoveDrmUtil

      `getLicenseDuration, getLongValue, getRemainingLicenseDuration, getRemainingPlaybackDuration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrmUtil

          public DrmUtil()

  - ### Method Detail

    - #### createHttpDataSource

          @NonNull
          public static com.google.android.exoplayer2.upstream.HttpDataSource createHttpDataSource(@Nullable
                                                                                                            java.util.Map<java.lang.String,java.lang.String> requestProperties)

      Creates new instance of the `HttpDataSource`.
      Parameters:
        `requestProperties` - a map of HTTP header names and values to be added to the request.
      Returns:
        the newly created HTTP data source.

    - #### createHttpDataSource

          @NonNull
          public static com.google.android.exoplayer2.upstream.HttpDataSource createHttpDataSource()

      Creates new instance of the `HttpDataSource`.
      Returns:
        the newly created HTTP data source.

    - #### executePost

          public static byte[] executePost(java.lang.String url,
                                           @Nullable
                                           byte[] data,
                                           @Nullable
                                           java.util.Map<java.lang.String,java.lang.String> requestProperties)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`